import arcpy
import sys
import string
import urllib2

#get_www_file.py
#William J Davies
#02 July 2012

#The base code (the meat of it) was written by William (Bill) Davies
#of the U.S. Geological Survey, Baltimore MD.  It was modified to work with
#ArcMap Model Builder by Mark Nardi U.S. Geological Survey, Dover Delaware

#The following is the line of code passed from ArcMap Model Builder
#Executing (Get_Daymet_netCDFs): GetDaymetNetCDFs 11213 TMIN 2004 C:\Temp

#Get arguments passed from Model Builder
tile=sys.argv[1]
metParm=sys.argv[2]
DatYear=sys.argv[3]
outWorkspace=sys.argv[4]

tiles=[tile]
met_data=[metParm]
years=[DatYear]

base_url='http://daymet.ornl.gov/thredds/fileServer/allcf/'
urls_to_get=[]
for year in years:
    new_url=base_url + year + '/'
    for tile in tiles:
        for met_parm in met_data:
            
            met_url=new_url+tile + '_' + year +'/'+ met_parm+'.nc'
            print met_url
            urls_to_get.append(met_url)        

for url in urls_to_get:
    #print url
    print url[-7:]
    u = urllib2.urlopen( url)

    #local file needs to be written in binary
    #Add path and filename information
    localFile = open(outWorkspace + "\\" + tile + '_' + met_parm + '_' + year + '.nc' [-7:], 'wb')
    localFile.write(u.read())
    localFile.close() 
